TextString
Date: 2019-10-22

org.jmol.g3d

## Class TextString

- java.lang.Object
- - javajs.util.T3i
  - - javajs.util.P3i
    - - org.jmol.g3d.TextString

- All Implemented Interfaces:
    java.io.Serializable, java.util.Comparator<TextString>

      class TextString
      extends javajs.util.P3i
      implements java.util.Comparator<TextString>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `argb`
    `(package private) int` | `bgargb`
    `(package private) Font` | `font`
    `(package private) java.lang.String` | `text`

    - ### Fields inherited from class javajs.util.T3i

      `x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextString()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(TextString a, TextString b)`
    `(package private) void` | `setText(java.lang.String text, Font font, int argb, int bgargb, int x, int y, int z)`
    `java.lang.String` | `toString()` Returns a string that contains the values of this Tuple3i.

    - ### Methods inherited from class javajs.util.P3i

      `new3`

    - ### Methods inherited from class javajs.util.T3i

      `add, equals, hashCode, scaleAdd, set, setT`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### text

          java.lang.String text

    - #### font

          Font font

    - #### argb

          int argb

    - #### bgargb

          int bgargb

  - ### Constructor Detail

    - #### TextString

          TextString()

  - ### Method Detail

    - #### setText

          void setText(java.lang.String text,
                       Font font,
                       int argb,
                       int bgargb,
                       int x,
                       int y,
                       int z)

    - #### compare

          public int compare(TextString a,
                             TextString b)

      Specified by:
        `compare` in interface `java.util.Comparator<TextString>`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `javajs.util.T3i`
      Returns a string that contains the values of this Tuple3i. The form is (x,y,z).
      Overrides:
        `toString` in class `javajs.util.T3i`
      Returns:
        the String representation